# Method: projects.locations.glossaries.patch

- [HTTP request](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries/patch#try-it)

Updates a glossary. A LRO is used since the update can be async if the glossary's entry file is updated.

### HTTP request

`PATCH https://translate.googleapis.com/v3/{glossary.name=projects/*/locations/*/glossaries/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `glossary.name` | `string` Required. The resource name of the glossary. Glossary names have the form `projects/{project-number-or-id}/locations/{location-id}/glossaries/{glossary-id}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The list of fields to be updated. Currently only `displayName` and 'inputConfig' This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/v3/projects.locations.glossaries#Glossary`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/translate/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).